<?php
function myErrorHandler($errno, $errstr, $errfile, $errline  )
{
    if (!(error_reporting() & $errno)) {
        // This error code is not included in error_reporting
        return;
    }
	$debug=debug_backtrace();
    switch ($errno) {
    case E_USER_ERROR:
        echo "<b>My ERROR</b> [$errno] $errstr<br />\n";
        echo "  Fatal error on line $errline in file $errfile";
        echo ", PHP " . PHP_VERSION . " (" . PHP_OS . ")<br />\n";
        echo "Aborting...<br />\n";
        exit(1);
        break;

    case E_USER_WARNING:
        echo "错误类型：USER_WARNING 内容：$errstr  错误位置：$errfile 行：$errline<br />\n";
        break;
	case E_USER_NOTICE:
        echo "错误类型：USER_NOTICE 内容：$errstr  错误位置：$errfile 行：$errline<br />\n";
        break;
		
	case E_WARNING:
        echo "错误类型：WARNING 内容：$errstr  错误位置：$errfile 行：$errline<br />\n";
        break;

   case E_NOTICE:
        echo "错误类型：NOTICE 内容：$errstr  错误位置：$errfile 行：$errline<br />\n";
        break; 

    default:
        echo "错误类型：未知 内容：$errstr  错误位置：$errfile 行：$errline<br />\n";
        break;
    }

    /* Don't execute PHP internal error handler */
    return true;
}
set_error_handler("myErrorHandler");

?>